package com.example.kdan_data_center.datacenter.file.body

import com.google.gson.annotations.SerializedName


data class SyncFileBody(
        @SerializedName("last_sync_time") val lastSyncTime: String,
        @SerializedName("architecture_infos") val architectureInfos: List<ArchitectureInfo>
) {

    open class ArchitectureInfo(
            @SerializedName("project_id") val projectId: String,
            @SerializedName("bucket_name") val bucketName: String,
            @SerializedName("updated_at") val updatedAt: String
    )

    class ArchitectureInfoMoveExist(
            projectId: String,
            bucketName: String,
            updatedAt: String,
            @SerializedName("prev_parent_id") val prevParentId: Int?,
            @SerializedName("cur_parent_id") val curParentId: Int?
    ) : ArchitectureInfo(projectId, bucketName, updatedAt)

    class ArchitectureInfoMoveNew(
            projectId: String,
            bucketName: String,
            updatedAt: String,
            @SerializedName("cur_path") val curPath: String?
    ) : ArchitectureInfo(projectId, bucketName, updatedAt)

    class ArchitectureInfoRename(
            projectId: String,
            bucketName: String,
            updatedAt: String,
            @SerializedName("prev_name") val prevName: String?,
            @SerializedName("cur_name") val curName: String?
    ) : ArchitectureInfo(projectId, bucketName, updatedAt)
}