package com.example.kdan_data_center.datacenter.file.data

import com.google.gson.annotations.SerializedName


data class MutiFileInfoData(
        @SerializedName("message") val message: String,
        @SerializedName("data") val data: List<File>
) {
    data class File(
            @SerializedName("object_type") val objectType: String,
            @SerializedName("id") val id: Int,
            @SerializedName("user_id") val userId: Int,
            @SerializedName("app_id") val appId: Int,
            @SerializedName("project_id") val projectId: String,
            @SerializedName("url") val url: String?,
            @SerializedName("size") val size: Int,
            @SerializedName("created_at") val createdAt: String,
            @SerializedName("updated_at") val updatedAt: String,
            @SerializedName("project_name") val projectName: String,
            @SerializedName("project_created_at") val projectCreatedAt: String?,
            @SerializedName("version") val version: Int?,
            @SerializedName("cover_name") val coverName: String?,
            @SerializedName("app_foreign_id") val appForeignId: Int,
            @SerializedName("category") val category: String?,
            @SerializedName("bucket_id") val bucketId: Int,
            @SerializedName("short_url") val shortUrl: String?,
            @SerializedName("url_created_at") val urlCreatedAt: String?,
            @SerializedName("has_zipfile") val hasZipfile: Boolean,
            @SerializedName("is_deleted") val isDeleted: Boolean,
            @SerializedName("project_type") val projectType: String?,
            @SerializedName("other_infos") val otherInfos:  HashMap<String,String>,
            @SerializedName("is_download_file_ready") val isDownloadFileReady: Boolean,
            @SerializedName("thumbnail_url") val thumbnailUrl:  HashMap<String,String>,
            @SerializedName("auth") val auth: String?,
            @SerializedName("tag_sample") val tagSample: List<String>?,
            @SerializedName("password_protected") val passwordProtected: Boolean?,
            @SerializedName("is_converted_file") val isConvertedFile: Boolean,
            @SerializedName("sort_priority") val sortPriority: Int,
            @SerializedName("user_id_backup") val userIdBackup: Int?,
            @SerializedName("platform") val platform: String?,
            @SerializedName("current_app_version") val currentAppVersion: Long,
            @SerializedName("data_format_version") val dataFormatVersion: Int,
            @SerializedName("unit_token") val unitToken: String,
            @SerializedName("folder_id") val folderId: Int,
            @SerializedName("app_bundle_id") val appBundleId: String,
            @SerializedName("current_version") val currentVersion: String?,
            @SerializedName("mainfile_key") val mainfileKey: String,
            @SerializedName("user_updated_at") val userUpdatedAt: String,
            @SerializedName("status") val status: String,
            @SerializedName("active_status") val activeStatus: String,
            @SerializedName("uploader_id") val uploaderId: Int?,
            @SerializedName("bucket_name") val bucketName: String,
            @SerializedName("compress_url") val compressUrl: HashMap<String,String>,
            @SerializedName("owner_id") val ownerId: Int,
            @SerializedName("uploader") val uploader: Uploader
    ) {

        data class Uploader(
                @SerializedName("id") val id: Int,
                @SerializedName("uid") val uid: Int,
                @SerializedName("account") val account: String,
                @SerializedName("folder_name_hash") val folderNameHash: String,
                @SerializedName("email") val email: String,
                @SerializedName("full_storage") val fullStorage: Long,
                @SerializedName("used_storage") val usedStorage: Long,
                @SerializedName("name") val name: String,
                @SerializedName("icon_url") val iconUrl: IconUrl
        ) {

            data class IconUrl(
                    @SerializedName("100") val x100: String,
                    @SerializedName("280") val x280: String
            )
        }
    }
}