package com.example.kdan_data_center.datacenter.folder.body

import com.google.gson.annotations.SerializedName


data class SyncFolderBody(
        @SerializedName("last_sync_time") val lastSyncTime: String,
        @SerializedName("architecture_infos") val architectureInfos: List<ArchitectureInfo>
) {

    open class ArchitectureInfo(
            @SerializedName("updated_at") val updated_at: String,
            @SerializedName("depth") val depth: Int
    )

    class ArchitectureInfoNewFolder(
            updated_at: String,
            depth: Int,
            @SerializedName("cur_name") val curName: String,
            @SerializedName("cur_parent_id") val curParentId: Int?,
            @SerializedName("cur_path") val curPath: String?
    ) : ArchitectureInfo(updated_at, depth)

    class ArchitectureInfoMoveFolder(
            updated_at: String,
            depth: Int,
            @SerializedName("folder_id") val folderId: Int,
            @SerializedName("prev_parent_id") val prevParentId: Int,
            @SerializedName("cur_parent_id") val curParentId: Int?,
            @SerializedName("cur_path") val curPath: String?
    ) : ArchitectureInfo(updated_at, depth)

    class ArchitectureInfoRenameFolder(
            updated_at: String,
            depth: Int,
            @SerializedName("folder_id") val folderId: Int,
            @SerializedName("prev_name") val prevName: String,
            @SerializedName("cur_name") val curName: String
    ) : ArchitectureInfo(updated_at, depth)
}