package com.example.kdan_data_center.datacenter.user

import com.example.kdan_data_center.datacenter.user.data.SearchUserData
import com.example.kdan_data_center.datacenter.user.data.UserCredentialData
import com.example.kdan_data_center.datacenter.user.data.UserInfoData
import io.reactivex.Observable
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Query

interface UserService {
    companion object {
        const val BASE_URL = "api/v3/users/"
    }

    @GET(".")
    fun getUserInfo(
            @Header("Authorization") accessToken: String
    ): Observable<UserInfoData>

    @GET("search")
    fun searchUser(
            @Header("Authorization") accessToken: String,
            @Query("search_string") searchText: String
    ): Observable<SearchUserData>

    @GET("credential")
    fun getUserCredential(
            @Header("Authorization") accessToken: String
    ): Observable<UserCredentialData>

    @GET("team_list")
    fun getUserTeamList(
            @Header("Authorization") accessToken: String
    )

    @GET("share_folders")
    fun getUserShareFolders(
            @Header("Authorization") accessToken: String
    )

    @GET("recent_logs")
    fun getUserRecentLogs(
            @Header("Authorization") accessToken: String
    )
}