package com.example.kdan_data_center.datacenter.user.data

import com.google.gson.annotations.SerializedName


data class UserInfoData(
        @SerializedName("message") val message: String,
        @SerializedName("data") val data: Data
) {

    data class Data(
            @SerializedName("uid") val uid: Int,
            @SerializedName("account") val account: String,
            @SerializedName("folder_name_hash") val folderNameHash: String,
            @SerializedName("full_storage") val fullStorage: Long,
            @SerializedName("used_storage") val usedStorage: Long,
            @SerializedName("active") val active: Boolean,
            @SerializedName("created_at") val createdAt: String,
            @SerializedName("updated_at") val updatedAt: String,
            @SerializedName("projects_count") val projectsCount: HashMap<String,Int>,
            @SerializedName("content_category_count") val contentCategoryCount: HashMap<String,Int>,
            @SerializedName("bucket_category_count") val bucketCategoryCount: HashMap<String,Int>,
            @SerializedName("storage_expired_at") val storageExpiredAt: String,
            @SerializedName("email") val email: String,
            @SerializedName("using_version") val usingVersion: String?,
            @SerializedName("project_count") val projectCount: Int,
            @SerializedName("source_location") val sourceLocation: SourceLocation
    ) {

        data class SourceLocation(
                @SerializedName("data_source") val dataSource: DataSource
        ) {

            data class DataSource(
                    @SerializedName("knote") val knote: Knote,
                    @SerializedName("pdf_source") val pdfSource: PdfSource,
                    @SerializedName("fax") val fax: Fax,
                    @SerializedName("clipboard") val clipboard: Clipboard
            ) {

                data class PdfSource(
                        @SerializedName("bucket") val bucket: String,
                        @SerializedName("root_path") val rootPath: String
                )


                data class Clipboard(
                        @SerializedName("bucket") val bucket: String,
                        @SerializedName("root_path") val rootPath: String
                )


                data class Fax(
                        @SerializedName("bucket") val bucket: String,
                        @SerializedName("root_path") val rootPath: String
                )


                data class Knote(
                        @SerializedName("bucket") val bucket: String,
                        @SerializedName("root_path") val rootPath: String
                )
            }
        }
    }
}